com::lomiri::location::service::session::Implementation Class Reference

`#include <implementation.h>`

Inheritance diagram for com::lomiri::location::service::session::Implementation:
Collaboration diagram for com::lomiri::location::service::session::Implementation:

## Public Member Functions

| Implementation (const Provider::Ptr &provider)
| Implementation (const Implementation &)=delete
virtual | ~Implementation () noexcept
Implementation & | operator= (const Implementation &)=delete
virtual void | start_position_updates ()
virtual void | stop_position_updates () noexcept
virtual void | start_velocity_updates ()
virtual void | stop_velocity_updates () noexcept
virtual void | start_heading_updates ()
virtual void | stop_heading_updates () noexcept
Public Member Functions inherited from com::lomiri::location::service::session::Interface
| Interface (const Interface &)=delete
virtual | ~Interface () noexcept
Interface & | operator= (const Interface &)=delete
virtual Updates & | updates ()
| Provides access to the updates delivered for this session.

## Additional Inherited Members

Public Types inherited from com::lomiri::location::service::session::Interface
typedef std::shared_ptr< Interface > | Ptr
Protected Member Functions inherited from com::lomiri::location::service::session::Interface
| Interface ()

## Detailed Description

Definition at line 37 of file implementation.h.

## Constructor & Destructor Documentation

## Implementation() [1/2]

com::lomiri::location::service::session::Implementation::Implementation | ( | const Provider::Ptr & | provider | ) |

Referenced by Implementation(), and operator=().

## Implementation() [2/2]

com::lomiri::location::service::session::Implementation::Implementation | ( | const Implementation & |  | ) |

delete

References Implementation().

Here is the call graph for this function:

## ~Implementation()

virtual com::lomiri::location::service::session::Implementation::~Implementation | ( |  | ) |

virtual noexcept

## Member Function Documentation

## operator=()

Implementation & com::lomiri::location::service::session::Implementation::operator= | ( | const Implementation & |  | ) |

delete

References Implementation().

Here is the call graph for this function:

## start_heading_updates()

virtual void com::lomiri::location::service::session::Implementation::start_heading_updates | ( |  | ) |

virtual

References start_heading_updates().

Referenced by start_heading_updates().

Here is the call graph for this function:

## start_position_updates()

virtual void com::lomiri::location::service::session::Implementation::start_position_updates | ( |  | ) |

virtual

References start_position_updates().

Referenced by start_position_updates().

Here is the call graph for this function:

## start_velocity_updates()

virtual void com::lomiri::location::service::session::Implementation::start_velocity_updates | ( |  | ) |

virtual

References start_velocity_updates().

Referenced by start_velocity_updates().

Here is the call graph for this function:

## stop_heading_updates()

virtual void com::lomiri::location::service::session::Implementation::stop_heading_updates | ( |  | ) |

virtual noexcept

References stop_heading_updates().

Referenced by stop_heading_updates().

Here is the call graph for this function:

## stop_position_updates()

virtual void com::lomiri::location::service::session::Implementation::stop_position_updates | ( |  | ) |

virtual noexcept

References stop_position_updates().

Referenced by stop_position_updates().

Here is the call graph for this function:

## stop_velocity_updates()

virtual void com::lomiri::location::service::session::Implementation::stop_velocity_updates | ( |  | ) |

virtual noexcept

References stop_velocity_updates().

Referenced by stop_velocity_updates().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- implementation.h